Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.task.model
Interface TaskData

All Superinterfaces:
  Externalizable, Serializable

All Known Implementing Classes:
  JaxbTaskData, TaskDataImpl

    public interface TaskData

extends Externalizable

Method Summary
`Date` | `getActivationTime()`
`User` | `getActualOwner()`
`List<Attachment>` | `getAttachments()`
`List<Comment>` | `getComments()`
`User` | `getCreatedBy()`
`Date` | `getCreatedOn()`
`String` | `getDeploymentId()`
`long` | `getDocumentContentId()`
`String` | `getDocumentType()`
`Date` | `getExpirationTime()`
`long` | `getFaultContentId()`
`String` | `getFaultName()`
`String` | `getFaultType()`
`long` | `getOutputContentId()`
`String` | `getOutputType()`
`long` | `getParentId()`
`Status` | `getPreviousStatus()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`long` | `getProcessSessionId()`
`Status` | `getStatus()`
`long` | `getWorkItemId()`
`boolean` | `isSkipable()`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Method Detail

### getStatus

    Status getStatus()

### getPreviousStatus

    Status getPreviousStatus()

### getActualOwner

    User getActualOwner()

### getCreatedBy

    User getCreatedBy()

### getCreatedOn

    Date getCreatedOn()

### getActivationTime

    Date getActivationTime()

### getExpirationTime

    Date getExpirationTime()

### isSkipable

    boolean isSkipable()

### getWorkItemId

    long getWorkItemId()

### getProcessInstanceId

    long getProcessInstanceId()

### getProcessId

    String getProcessId()

### getDeploymentId

    String getDeploymentId()

### getProcessSessionId

    long getProcessSessionId()

### getDocumentType

    String getDocumentType()

### getDocumentContentId

    long getDocumentContentId()

### getOutputType

    String getOutputType()

### getOutputContentId

    long getOutputContentId()

### getFaultName

    String getFaultName()

### getFaultType

    String getFaultType()

### getFaultContentId

    long getFaultContentId()

### getComments

    List<Comment> getComments()

### getAttachments

    List<Attachment> getAttachments()

### getParentId

    long getParentId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.